Bug 58521 - Endnotes always start on a new page, no option to have it directly at the end (unless using sections)
Summary: Endnotes always start on a new page, no option to have it directly at the end...
Status: REOPENED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL: https://vmiklos.hu/blog/sw-continuous...
Whiteboard:
Keywords: filter:doc, filter:docx, filter:rtf
: 66121 97675 104415 134824 (view as bug list)
Depends on:
Blocks: RTF Footnote-Endnote DOC DOCX-Footnote-Endnote
  Show dependency treegraph
 
Reported: 2012-12-19 15:16 UTC by Silvain Dupertuis
Modified: 2021-08-10 13:32 UTC (History)
14 users (show)

See Also:
Crash report or crash signature:


Attachments
Endnotes 2 test files (word and wordperfect formats) (3.52 KB, application/zip)
2012-12-19 15:16 UTC, Silvain Dupertuis
Details
Sample DOCX file showing issue with endnotes (12.25 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-09-28 02:47 UTC, Luke
Details
Sample RTF file showing issue with endnotes (43.19 KB, application/rtf)
2014-09-28 05:51 UTC, Luke
Details
RTF attachment 106979 in Word and Writer (68.28 KB, image/png)
2021-07-14 13:30 UTC, NISZ LibreOffice Team
Details
Writer document showing endnotes (84.75 KB, application/vnd.oasis.opendocument.text)
2021-07-23 10:22 UTC, R. Green
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Silvain Dupertuis 2012-12-19 15:16:23 UTC
Created attachment 71810 [details]
Endnotes 2 test files (word and wordperfect formats)

Endnotes always start on a new page.
This should definitely NOT be the case.
It should be possible to have endnotes on the same page as the end of the document, as it is the case with MS Word and Corel WordPerfect.
===
Better still, it should be possible to have endnotes at different places, for exemple if you have several articles and want endnotes for each.
This is possible with WordPerfect, apparently not with Word.
Comment 1 Christopher M. Penalver 2012-12-22 22:01:20 UTC
Reproducible in:
Microsoft Windows Vista Business x86
6.0.6002 Service Pack 2 Build 6002
Version 4.0.0.0.beta1 (Build ID: 87906242e87d3ddb2ba9827818f2d1416d80cc7)
Comment 2 Luke 2013-07-01 22:37:44 UTC
*** Bug 66121 has been marked as a duplicate of this bug. ***
Comment 3 Owen Genat (retired) 2014-04-21 01:55:34 UTC
Workaround: Highlight all text prior to the footnotes and insert a section. Use the Endnote option "Collect at end of section". This is however only effective for ODT and not DOC or DOCX. Summary amended to reflect this fact and the format of the provided example.
Comment 4 Silvain Dupertuis 2014-04-21 12:37:30 UTC Comment hidden (no-value)
Comment 5 Luke 2014-04-23 05:30:29 UTC
I also ran into this bug when importing a RTF document that contained Endnotes. It's likely an issue with many document formats besides .doc and .docx.
Comment 6 Luke 2014-09-28 02:38:37 UTC Comment hidden (obsolete)
Comment 7 Luke 2014-09-28 02:47:20 UTC
Created attachment 106978 [details]
Sample DOCX file showing issue with endnotes
Comment 8 Luke 2014-09-28 05:51:33 UTC
Created attachment 106979 [details]
Sample RTF file showing issue with endnotes
Comment 9 Timur 2015-11-26 09:57:04 UTC Comment hidden (obsolete)
Comment 10 Telesto 2016-12-05 16:32:55 UTC
*** Bug 104415 has been marked as a duplicate of this bug. ***
Comment 11 Cor Nouws 2017-06-13 11:19:04 UTC
*** Bug 97675 has been marked as a duplicate of this bug. ***
Comment 12 Luke 2017-07-04 15:59:15 UTC Comment hidden (obsolete)
Comment 13 Justin L 2017-07-29 19:21:35 UTC
As Owen Genat noted in comment #3, this can be accomplished in ODF by inserting a section. However, by default, a section doesn't seem to be used for the main document. Most of the duplicates are asking for this option without using sections, and that would certainly simplify cross-compatibility with docx/rtf etc.

This kind of major adjustment needs to be done by someone with a good overview of writer - not me.
Comment 14 Pénzes Dávid 2018-07-19 13:34:55 UTC
Perhaps if it was visible the pagebreak to users, they would simply be able to extract it. It's just an idea. I'm not a developer, just a user. :)
Comment 15 Marina Latini (SUSE) 2019-12-06 10:55:55 UTC
Repro on:
Version: 6.5.0.0.alpha0+ (x64)
Build ID: 0faf74a58847a4b87ae43092fe1ca2011bbd1f90
CPU threads: 4; OS: Windows 10.0 Build 17763; UI render: GL; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded
Comment 16 R. Green 2020-06-04 16:08:13 UTC
I strongly support the OP's request to be able to add endnotes at the end of the document (without having to create a section first, and without a page break).
Comment 17 Cor Nouws 2020-08-26 13:55:26 UTC Comment hidden (obsolete)
Comment 18 Justin L 2020-08-26 14:27:44 UTC Comment hidden (obsolete)
Comment 19 Cor Nouws 2020-08-29 14:44:55 UTC Comment hidden (obsolete)
Comment 20 Cor Nouws 2020-08-29 14:45:04 UTC
*** Bug 129036 has been marked as a duplicate of this bug. ***
Comment 21 NISZ LibreOffice Team 2020-11-05 12:47:43 UTC
A compatibility option was added for DOC format here that could be adapted to DOCX/RTF too: https://bugs.documentfoundation.org/show_bug.cgi?id=124601#c8
Comment 22 NISZ LibreOffice Team 2020-12-02 12:37:47 UTC
*** Bug 134824 has been marked as a duplicate of this bug. ***
Comment 23 Commit Notification 2021-07-13 08:45:51 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f9982c24066d6dd2f938cc20176af0f196bc018f

tdf#58521 DOCX import: enable ContinuousEndnotes compat flag

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2021-07-13 11:33:47 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/e35fc16969c0d0a55538733d76fc4bb03bf137b0

tdf#58521 DOCX import: enable ContinuousEndnotes compat flag

It will be available in 7.2.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 25 NISZ LibreOffice Team 2021-07-14 13:30:41 UTC
Created attachment 173560 [details]
RTF attachment 106979 [details] in Word and Writer

RTF is still bad in todays nightly:

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 213430e0bdac0786b30a76a68b43d35647e93912
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL Jumbo
Comment 26 Miklos Vajna 2021-07-14 13:43:24 UTC
Did you try moving the ContinuousEndnotes opt-in from writerfilter/source/filter/WriterFilter.cxx to writerfilter/source/dmapper/DomainMapper.cxx?

The first is the place for docx-only compat flags, the second is the place for docx+rtf compat flags.
Comment 27 Commit Notification 2021-07-15 06:44:45 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/892488b64f09190896d5a14e3f555ca91b3449e3

tdf#58521 Enable ContinuousEndnotes compat option for RTF too

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 28 Commit Notification 2021-07-15 09:33:07 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/59c5732875c1bea619ed461a378906a2dce12b48

tdf#58521 Enable ContinuousEndnotes compat option for RTF too

It will be available in 7.2.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 29 Timur 2021-07-16 12:57:46 UTC
Any reason this is still open?
Please add to https://wiki.documentfoundation.org/ReleaseNotes/7.2.
Comment 30 Do 2021-07-22 21:18:05 UTC
I opened a similar request of enhancement, that was linked to this bug.

I requested to manage endnotes like an index:
- defining where put the index
- defining the title
- be able to add pages (with different style) before and after the endnotes

The solution released improves the endnotes handling, but the list of endnotes is always at end of the document, I can't add a page and there are no protections against accidental formatting corruption.

Finally which is the difference between endnotes and footnotes displayed at the end of document?
Comment 31 Buovjaga 2021-07-23 04:32:22 UTC
(In reply to Do from comment #30)
> I opened a similar request of enhancement, that was linked to this bug.

Then let's undo the duplicate status of your report
Comment 32 R. Green 2021-07-23 10:22:47 UTC
Created attachment 173801 [details]
Writer document showing endnotes

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: c703b2d22c3f45825d9c9d790c3b5a4b6f97e776
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: en-GB (en_GB.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-06-17_00:44:32
Calc: threaded

See attacher Writer file (endnotes_test_document). AFAICS, nothing has been fixed at all. Endnotes are STILL inserted on a new page at the end of a document, and there seems to be no no way of positioning them at any other location.

And importing the test documents (from the OP) does not seem to be resolved either. The endnotes are simply being dumped as a single set of de facto footnotes at the end of the file.
Comment 33 Buovjaga 2021-07-23 18:34:35 UTC
(In reply to R. Green from comment #32)
> Created attachment 173801 [details]
> Writer document showing endnotes
> 
> Version: 7.3.0.0.alpha0+ / LibreOffice Community
> Build ID: c703b2d22c3f45825d9c9d790c3b5a4b6f97e776
> CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
> Locale: en-GB (en_GB.UTF-8); UI: en-US
> TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
> 2021-06-17_00:44:32
> Calc: threaded

Your build is 1 month too old, please pay attention to the build date.
Comment 34 Commit Notification 2021-07-28 10:10:22 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/7eb0b5f3861e54ad59897315b17bf4447fabf540

Revert "tdf#58521 Enable ContinuousEndnotes compat option for RTF too"

It will be available in 7.2.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 35 Commit Notification 2021-07-28 19:57:53 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/43d2b3bbacdd6bbe24149ed33c54a180d74c77e4

Revert "tdf#58521 DOCX import: enable ContinuousEndnotes compat flag"

It will be available in 7.2.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 36 NISZ LibreOffice Team 2021-08-09 07:29:49 UTC
Verified in:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: d1f1f546b212ecd651146addeb328806bb270d5f
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded
Comment 37 Commit Notification 2021-08-10 13:30:02 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/53e09765fe19be5f53852e793219d0af687d9795

Revert "tdf#58521 Enable ContinuousEndnotes compat option for RTF too"

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 38 Commit Notification 2021-08-10 13:31:16 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/eeda1b35a6e87d5349545464da33d997c52f15e3

Revert "tdf#58521 DOCX import: enable ContinuousEndnotes compat flag"

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 39 Xisco Faulí 2021-08-10 13:32:53 UTC
Reopening after the revert